org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcRequestHandler

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.jdbc.JdbcRequestHandler

All Implemented Interfaces:
  SqlListenerRequestHandler

    public class JdbcRequestHandler
    extends Object
    implements SqlListenerRequestHandler

SQL query handler.

### Constructor Summary

Constructors
Constructor and Description
`JdbcRequestHandler(GridKernalContext ctx, GridSpinBusyLock busyLock, int maxCursors, boolean distributedJoins, boolean enforceJoinOrder, boolean collocated, boolean replicatedOnly, boolean autoCloseCursors)` Constructor.

### Method Summary

Methods
`SqlListenerResponse` `handle(SqlListenerRequest req0)` Handle request.
`SqlListenerResponse` `handleException(Exception e)` Handle exception.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JdbcRequestHandler

    public JdbcRequestHandler(GridKernalContext ctx,
                      GridSpinBusyLock busyLock,
                      int maxCursors,
                      boolean distributedJoins,
                      boolean enforceJoinOrder,
                      boolean collocated,
                      boolean replicatedOnly,
                      boolean autoCloseCursors)

Constructor.

Parameters:
  `ctx` - Context.
  `busyLock` - Shutdown latch.
  `maxCursors` - Maximum allowed cursors.
  `distributedJoins` - Distributed joins flag.
  `enforceJoinOrder` - Enforce join order flag.
  `collocated` - Collocated flag.
  `replicatedOnly` - Replicated only flag.
  `autoCloseCursors` - Flag to automatically close server cursors.

### Method Detail

#### handle

    public SqlListenerResponse handle(SqlListenerRequest req0)

Handle request.

Specified by:
  `handle` in interface `SqlListenerRequestHandler`
Parameters:
  `req0` - Request.
Returns:
  Response.

#### handleException

    public SqlListenerResponse handleException(Exception e)

Handle exception.

Specified by:
  `handleException` in interface `SqlListenerRequestHandler`
Parameters:
  `e` - Exception.
Returns:
  Error response.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017